NI Update Service Error When Working With a Keysight Device

Updated Aug 12, 2019

Reported In

Driver

  • NI-488.2
  • NI-VISA

Issue Details

I downloaded NI hardware drivers 488.2 version 15.5 and NI VISA 15.5 to interface with a Keysight device. However, when I finished installing the drivers I received the following error: 



How do I resolve this?

Solution

There are a few different troubleshooting steps to resolve this issue: 
  • Make sure that you have NI Update Services installed on your system. You can check this through NI Package Manager.
  • Make sure that the NI VISA and 488.2 drivers are compatible with your operating system.
    • Downloading the latest NI-VISA driver works best.
  • Make sure that the NI VISA driver is selected as the primary VISA driver by following these steps.

Additional Information

If you are receiving a VISA Error in NI MAX, it could be due to the Keysight driver version. This article will explain why you are getting this error. 

WAS THIS ARTICLE HELPFUL?

Not Helpful